<?php require("view.php");//view.phpまでのパス?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>NewsLister(php表示デモ)</title>
<link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/3.0.0/build/cssreset/reset-min.css" /> 
<link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/3.0.0/build/cssfonts/fonts-min.css" />
<link rel="alternate" type="application/rss+xml" title="RSS Feed" href="feed.php?viewtype=rss" />
<link rel="alternate" type="application/atom+xml" title="Atom Feed" href="feed.php?viewtype=atom" />
<style type="text/css">
<!--
	body{font-family: "ＭＳ Ｐゴシック", Osaka, "ヒラギノ角ゴ Pro W3";background-color:#fff;}
	#wrapper {width:300px; margin:50px auto;font-size:93%;}
	dl { width:300px; margin:10px auto; border-top:dotted 1px #999; padding-top:5px;}
	dt { float:left;clear:left; width:80px; margin-bottom:5px; padding-bottom:5px;border-bottom:dotted 1px #999;}
	dd { margin-left:80px;margin-bottom:5px; border-bottom:dotted 1px #999; padding-bottom:5px; }
	h1 {background-color:#111;color:#fff;padding:5px 10px;margin:0 0 10px 0}
	h2 {background-color:#888;color:#fff;padding:5px 10px;margin:30px 0 10px 0;}
	ol,ul {margin:10px 0;}
	ul li {list-style:circle inside;}
	ol li {list-style: decimal-leading-zero inside;}
	li {margin:5px 0;line-height:1.4;}
	code{color: #066;display:block;padding:5px;}
	a { text-decoration:none; }
	
	.pagelink {overflow:hidden;display:inline-block;margin:0}
	.pagelink li {float:left;margin-right:3px;list-style:none;}
	.pagelink a { padding:2px 5px; border: solid 1px; color:#09F}
	.pagelink li.next a,
	.pagelink li.prev a {border:none;}
	.pagelink a.current {border:none;border-bottom:solid 1px;}
	.pagelink a:hover {background-color:#09F;border-color:#09F;color:#fff;}
-->
</style>
<link rel="alternate" type="application/rss+xml" title="RSS Feed" href="newslister/feed.php?viewtype=rss" />

</head>

<body>
<div id="wrapper">
<h1>NewsLister</h1>
	<?php get_newslister_all(); ?>
	
<h2>設置方法</h2>
<ol><li>config.phpを開いて設定する</li>
	<li>ファイルをサーバーへ転送する</li>
	<li>パーミッションを変更する</li>
	<li>admin.phpへアクセスして動作確認する</li>
</ol>
<h2>パーミッション</h2>
<p>suEXECの例：</p>
<ul>
	<li>ディレクトリ ―― 711</li>
	<li>php　―― 700</li>
	<li>ログファイル　―― 600</li>
	<li>他　―― 604</li>
</ul>
<h2>他ファイルからの呼び出し</h2>
<ol><li>呼び出す側のファイルをPHPにする</li>
	<li>ファイルの一番上に次のソースを追加。<br />
		<code>&lt;?php require(&quot;newslister/view.php&quot;)?&gt;</code></li>
	<li>更新履歴を表示する場所に次のソースを追加。<br />
		<code>&lt;?php get_newslister();?&gt;</code>
		<br />
	カッコの中に数値を入れると、その数値と同じ件数を表示する。<br />
	<code>&lt;?php get_newslister(4);?&gt;</code>	<br />
	上記例では４件表示になります。<br />
	空の場合はconfig.phpのDISPMAXと同じになります。	</li>
	<li>ページナビゲーション付きの表示をする場合は次のソースを書きます。<br />
	<code>&lt;?php get_newslister_all();?&gt;</code><br />
	上記関数も数値を指定すると１ページあたりに表示する件数を変更出来ます。<br />

	<code>&lt;?php get_newslister_all(15);?&gt;</code><br />
	デフォルトでは定義リスト形式ですが、数値の後に&quot;table&quot; &quot;ul&quot;と書くと、テーブル、リスト形式で出力します。<br />
	<code>&lt;?php get_newslister_all(10,"table");?&gt;</code><br />
	→10件ずつテーブルで表示する</li>
</ol>
</div>
</body>
</html>